OpenTTD GameScript API: Data Fields

OpenTTD GameScript API 13.0-RC2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - b -

- Begin() : GSList
- BootstrapAskForDownloadWidgets : GSWindow
- BootstrapBackgroundWidgets : GSWindow
- BootstrapErrorMessageWidgets : GSWindow
- Break() : GSController
- BT_BUILD_TREES : GSTile
- BT_BUOY : GSMarine
- BT_BUS_STOP : GSRoad
- BT_CANAL : GSMarine
- BT_CLEAR_FIELDS : GSTile
- BT_CLEAR_GRASS : GSTile
- BT_CLEAR_HOUSE : GSTile
- BT_CLEAR_ROCKY : GSTile
- BT_CLEAR_ROUGH : GSTile
- BT_CLEAR_WATER : GSTile
- BT_DEPOT : GSMarine , GSRail , GSRoad
- BT_DOCK : GSMarine
- BT_FOUNDATION : GSTile
- BT_LOCK : GSMarine
- BT_ROAD : GSRoad
- BT_SIGNAL : GSRail
- BT_STATION : GSRail
- BT_TERRAFORM : GSTile
- BT_TRACK : GSRail
- BT_TRUCK_STOP : GSRoad
- BT_WAYPOINT : GSRail
- BuildAirport() : GSAirport
- BuildBridge() : GSBridge
- BuildBridgeSelectionWidgets : GSWindow
- BuildBuoy() : GSMarine
- BuildCanal() : GSMarine
- BuildCompanyHQ() : GSCompany
- BuildDock() : GSMarine
- BuildDockDepotWidgets : GSWindow
- BuildDriveThroughRoadStation() : GSRoad
- BuildIndustry() : GSIndustryType
- BuildLock() : GSMarine
- BuildNewGRFRailStation() : GSRail
- BuildObject() : GSObjectType
- BuildObjectWidgets : GSWindow
- BuildOneWayRoad() : GSRoad
- BuildOneWayRoadFull() : GSRoad
- BuildRail() : GSRail
- BuildRailDepot() : GSRail
- BuildRailDepotWidgets : GSWindow
- BuildRailStation() : GSRail
- BuildRailStationWidgets : GSWindow
- BuildRailTrack() : GSRail
- BuildRailWaypoint() : GSRail
- BuildRailWaypointWidgets : GSWindow
- BuildRoad() : GSRoad
- BuildRoadDepot() : GSRoad
- BuildRoadDepotWidgets : GSWindow
- BuildRoadFull() : GSRoad
- BuildRoadStation() : GSRoad
- BuildRoadStationWidgets : GSWindow
- BuildSign() : GSSign
- BuildSignal() : GSRail
- BuildSignalWidgets : GSWindow
- BuildTreesWidgets : GSWindow
- BuildTunnel() : GSTunnel
- BuildType : GSMarine , GSRail , GSRoad , GSTile
- BuildVehicle() : GSVehicle
- BuildVehicleWidgets : GSWindow
- BuildVehicleWithRefit() : GSVehicle
- BuildWaterDepot() : GSMarine
- BUTTON_ACCEPT : GSGoal
- BUTTON_CANCEL : GSGoal
- BUTTON_CLOSE : GSGoal
- BUTTON_CONTINUE : GSGoal
- BUTTON_DECLINE : GSGoal
- BUTTON_GO : GSGoal
- BUTTON_IGNORE : GSGoal
- BUTTON_NEXT : GSGoal
- BUTTON_NO : GSGoal
- BUTTON_OK : GSGoal
- BUTTON_POSTPONE : GSGoal
- BUTTON_PREVIOUS : GSGoal
- BUTTON_RESTART : GSGoal
- BUTTON_RETRY : GSGoal
- BUTTON_START : GSGoal
- BUTTON_STOP : GSGoal
- BUTTON_SURRENDER : GSGoal
- BUTTON_YES : GSGoal
- BuyCompanyWidgets : GSWindow